package J20250715.studentManager;

import java.util.ArrayList;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description 长度可变的数组：ArrayList
 * @create 2025/7/15
 */
public class Demo01 {
    public static void main(String[] args) {
        //创建对象
        //ArrayList实际上是Java中集合的一种
        //ArrayList其实就是一个长度可变的数组，底层代码就是新数组替换旧数组
        //<类型名> 泛型，就是规定这个可变长度的数组中能存哪种类型的元素

        ArrayList<String> list=new ArrayList();
        //add(变量值); 向集合中添加元素
        list.add("asdasd");
        list.add("666");

        //获取集合长度
        int size = list.size();
        System.out.println(size);

        //获取指定索引位置的元素，不删除
        String s = list.get(1);//索引位置为1的元素
        System.out.println(s);

        //删除指定位置的元素，返回被删除的那个元素
        String s1 = list.remove(2);
        System.out.println("被删除的元素是："+s1);
    }
}
